Website Builder API
POST /services/websites/v1/structures/{type}/get Auth

Get Dynamic Structure

Parameters

NameTypeInRequiredDescription
type string path Required

Request Body Required

FieldTypeRequiredDescriptionExample
id string Yes ID of the structure post to retrieve

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.id integer
data.link string|null
data.layout_id integer|null
data.title string|null
data.url string|null
data.content string|null
data.intro string|null
data.image string|null
data.status string|null
data.sort_number integer|null
data.meta_keyword string|null
data.disable_single_page integer|null
data.disable_listing integer|null
data.no_index string|null
data.meta_title string|null
data.meta_image string|null
data.meta_description string|null
data.canonical_url string|null
data.scheduled_at string|null
data.categories string Rich text content - already HTML
data.main_category_id integer|null
data.meta mixed[]
data.importer object
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/structures/{type}/get" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string"
}'
fetch('https://api.wemasy.nl/api/services/websites/v1/structures/{type}/get', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "id": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/websites/v1/structures/{type}/get', {
    "id": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "id": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/structures/{type}/get", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "id": 0,
        "link": "string",
        "layout_id": 0,
        "title": "string",
        "url": "string",
        "content": "string",
        "intro": "string",
        "image": "string",
        "status": "string",
        "sort_number": 0,
        "meta_keyword": "string",
        "disable_single_page": 0,
        "disable_listing": 0,
        "no_index": "string",
        "meta_title": "string",
        "meta_image": "string",
        "meta_description": "string",
        "canonical_url": "string",
        "scheduled_at": "string",
        "categories": "string",
        "main_category_id": 0,
        "meta": [],
        "importer": {
            "id": 0,
            "title": "string",
            "identifier": "string"
        }
    }
}

Try It
type Required
Request Body Required

Export